-- disable netrw at the very start of your init.lua
vim.g.loaded_netrw = 1
vim.g.loaded_netrwPlugin = 1


local vim = vim
local Plug = vim.fn['plug#']

vim.cmd('filetype plugin indent on')
vim.cmd('syntax enable')
vim.cmd('set nu')



vim.call('plug#begin')

-- file tree
Plug('nvim-tree/nvim-web-devicons')  
Plug('nvim-tree/nvim-tree.lua')

-- for latex 
Plug('lervag/vimtex')

Plug('SirVer/UltiSnips')


vim.call('plug#end')



-- optionally enable 24-bit colour
vim.opt.termguicolors = true

-- empty setup using defaults
require("nvim-tree").setup({
  sort = {
    sorter = "case_sensitive",
  },
  view = {
    width = 30,
  },
  renderer = {
    group_empty = true,
  },
  filters = {
    dotfiles = true,
  },
})


require("vimtex").setup({
  viewer={
    method = 'zathura',
  },
})

